GetSubdomains
Returns information about one or more of your Lightsail subdomains.
When you don't specify a subdomain, the response lists your top-level subdomains, and each top-level subdomain includes its nested subdomains.
The results are paginated. To get the next page of results, use the pageToken
parameter.
Request Syntax
{
"pageToken": "string",
"subdomainName": "string"
}
Request Parameters
For information about the parameters that are common to all actions, see Common Parameters.
The request accepts the following data in JSON format.
- pageToken
-
The token to advance to the next page of results from your request.
To get a page token, perform an initial
GetSubdomainsrequest. If your results are paginated, the response will return a next page token that you can specify as the page token in a subsequent request.Type: String
Required: No
- subdomainName
-
The subdomain for which to return information (for example,
mysiteorblog.mysite), not its web address.When omitted, the response includes all of your subdomains.
You can't specify this parameter together with the
pageTokenparameter.Type: String
Required: No
Response Syntax
{
"nextPageToken": "string",
"subdomains": [
{
"arn": "string",
"attachedResource": {
"arn": "string",
"attachedAt": number,
"name": "string"
},
"attachingResource": {
"arn": "string",
"attachedAt": number,
"name": "string"
},
"children": [
"Subdomain"
],
"createdAt": number,
"depth": number,
"fqdn": "string",
"location": {
"availabilityZone": "string",
"regionName": "string"
},
"parentFqdn": "string",
"state": "string",
"subdomainName": "string",
"tags": [
{
"key": "string",
"value": "string"
}
]
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextPageToken
-
The token to advance to the next page of results from your request.
A next page token is not returned if there are no more results to display.
To get the next page of results, perform another
GetSubdomainsrequest and specify the next page token using thepageTokenparameter.Type: String
- subdomains
-
An array of objects that describe your subdomains.
Type: Array of Subdomain objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Lightsail throws this exception when the user cannot be authenticated or uses invalid credentials to access a resource.
HTTP Status Code: 400
- InvalidInputException
-
Lightsail throws this exception when user input does not conform to the validation rules of an input field.
NoteDomain and distribution APIs are only available in the N. Virginia (
us-east-1) AWS Region. Please set your AWS Region configuration tous-east-1to create, view, or edit these resources.HTTP Status Code: 400
- NotFoundException
-
Lightsail throws this exception when it cannot find a resource.
HTTP Status Code: 400
- ServiceException
-
A general service exception.
HTTP Status Code: 500
- UnauthenticatedException
-
Lightsail throws this exception when the user has not been authenticated.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: